# Flyout
The *flyout* component accepts children and follows the functional pattern of a non-modal dialog (non-modal dialogs allow users the ability to continue interacting with the page). The width and height of the flyout can be set by props. If no props are passed to set width or height, the flyout width will default to 280px and the height will default to 128px.

## Accessibility

While not required to be focused, a flyout should include a label. This can be applied as an [`aria-label`](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-label_attribute) using the `label` prop, or by referencing a child within the dialog with the [`aria-labelledby`](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-labelledby_attribute) attribute using the `labelledby` prop. Optionally, additional context can be provided to assistive technologies by including an [`aria-describedby`](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-describedby_attribute) attribute which can be applied using the `describedby` prop.